> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 지갑 거래 목록

> 청구 거래 목록 조회

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json GET /v1/public/accounts/{account_id}/billing/transactions
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/transactions:
    get:
      tags:
        - public-accounts
        - public-billing
      summary: 청구 거래 목록 조회
      description: 단순화된 공개 DTO를 사용하여 계정 지갑 거래를 나열합니다.
      operationId: >-
        list_public_billing_transactions_v1_public_accounts__account_id__billing_transactions_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicWalletTransactionHistoryResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicWalletTransactionHistoryResponse:
      properties:
        items:
          description: 이 페이지의 지갑 거래
          items:
            $ref: '#/components/schemas/PublicWalletTransactionResponse'
          title: 항목
          type: array
        page:
          description: 현재 1기반 페이지 번호
          title: 페이지
          type: integer
        page_size:
          description: 페이지당 최대 항목
          title: 페이지 크기
          type: integer
        total:
          description: 총 매칭 지갑 거래
          title: 합계
          type: integer
      required:
        - page
        - page_size
        - total
      title: PublicWalletTransactionHistoryResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    PublicWalletTransactionResponse:
      description: 고객 대면 필드가 포함된 공용 지갑 거래 내역 항목입니다.
      properties:
        amount:
          description: 거래금액
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: 금액
          type: string
        balance_after:
          anyOf:
            - pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
              type: string
            - type: 'null'
          description: 거래 후 지갑 잔액
          title: 이후 잔액
        currency:
          description: 지갑 통화 코드
          title: 통화
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: 거래 설명
          title: 설명
        direction:
          description: 거래 방향
          title: 방향
          type: string
        effective_at:
          description: 거래 유효 타임스탬프
          format: date-time
          title: 유효 날짜
          type: string
        status:
          description: 지갑 거래 상태
          title: 상태
          type: string
        transaction_id:
          description: 지갑 거래 UUID
          format: uuid
          title: 거래 ID
          type: string
        type:
          description: 지갑 거래 유형
          title: 유형
          type: string
      required:
        - transaction_id
        - type
        - status
        - effective_at
        - amount
        - direction
        - currency
      title: PublicWalletTransactionResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````